﻿<UserControl x:Class="CMS.Views.MedicationTypeCollectionView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
             xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
             xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
             xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
             xmlns:viewModel="clr-namespace:CMS.ViewModels"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:MedicationTypeCollectionViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/CollectionViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource CollectionView.RootContainer}">
        <dxr:RibbonControl Style="{StaticResource CollectionView.RibbonControl}" DockPanel.Dock="Top">
            <dxr:RibbonDefaultPageCategory>
                <dxr:RibbonPage Style="{StaticResource CollectionView.RibbonPage}">
                    <dxr:RibbonPageGroup Style="{StaticResource CollectionView.RibbonPageGroup.Main}" Caption="Medication Type Tasks">
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.New}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Edit}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Save}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Reset}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.Command.Refresh}" />
                    </dxr:RibbonPageGroup>
                </dxr:RibbonPage>
            </dxr:RibbonDefaultPageCategory>
        </dxr:RibbonControl>
        <dxr:RibbonStatusBarControl Style="{StaticResource CollectionView.RibbonStatusBar}" DockPanel.Dock="Bottom">
            <dxr:RibbonStatusBarControl.LeftItems>
                <dxb:BarStaticItem Style="{StaticResource CollectionView.Command.Count}" />
            </dxr:RibbonStatusBarControl.LeftItems>
        </dxr:RibbonStatusBarControl>
        <dxg:GridControl x:Name="gridControl" Style="{StaticResource CollectionView.GridControl.Editable}">
            <dxg:GridControl.View>
                <dxg:TableView Style="{StaticResource CollectionView.TableView}" AutoWidth="True">
                    <dxg:TableView.RowCellMenuCustomizations>
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.GridCommand.New}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.GridCommand.Edit}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.GridCommand.Delete}" />
                        <dxb:BarButtonItem Style="{StaticResource CollectionView.GridCommand.Refresh}" />
                    </dxg:TableView.RowCellMenuCustomizations>
                </dxg:TableView>
            </dxg:GridControl.View>
            <dxg:GridControl.Columns>
                <dxg:GridColumn IsSmart="True" FieldName="MedicationTypeID" />
                <dxg:GridColumn IsSmart="True" FieldName="Description" />
            </dxg:GridControl.Columns>
            <dxg:GridControl.TotalSummary>
                <dxg:GridSummaryItem SummaryType="Count" Alignment="Right" />
            </dxg:GridControl.TotalSummary>
            <dxg:GridControl.GroupSummary>
                <dxg:GridSummaryItem SummaryType="Count" />
            </dxg:GridControl.GroupSummary>
        </dxg:GridControl>
    </DockPanel>
</UserControl>